package com.basic.eyflutter_uikit.beans;

public class ActionItem {
    private String actionName;

    private Object actionId;

    private int iconResId = 0;

    private int textColor = 0;

    private int bgResId = 0;

    private boolean isEnable = true;

    private int textSize;

    public ActionItem() {

    }

    public ActionItem(Object actionId, String actionName, int iconResId, int bgResId) {
        this.actionId = actionId;
        this.actionName = actionName;
        this.iconResId = iconResId;
        this.bgResId = bgResId;
    }

    public ActionItem(Object actionId, String actionName, int iconResId) {
        this(actionId, actionName, iconResId, 0);
    }

    public ActionItem(Object actionId, String actionName) {
        this(actionId, actionName, 0, 0);
    }

    public ActionItem(Object actionId) {
        this(actionId, "");
    }

    public Object getActionId() {
        return actionId;
    }

    public ActionItem setActionId(Object actionId) {
        this.actionId = actionId;
        return this;
    }

    public String getActionName() {
        return actionName;
    }

    public ActionItem setActionName(String actionName) {
        this.actionName = actionName;
        return this;
    }

    public int getIconResId() {
        return iconResId;
    }

    public ActionItem setIconResId(int iconResId) {
        this.iconResId = iconResId;
        return this;
    }

    public int getTextColor() {
        return textColor;
    }

    public ActionItem setTextColor(int textColor) {
        this.textColor = textColor;
        return this;
    }

    public int getBgResId() {
        return bgResId;
    }

    public ActionItem setBgResId(int bgResId) {
        this.bgResId = bgResId;
        return this;
    }

    public boolean isEnable() {
        return isEnable;
    }

    public ActionItem setEnable(boolean enable) {
        isEnable = enable;
        return this;
    }

    public int getTextSize() {
        return textSize;
    }

    public ActionItem setTextSize(int textSize) {
        this.textSize = textSize;
        return this;
    }
}
