package com.basic.eyflutter_uikit.enums;

/**
 * Author lijinghuan
 * Email:ljh0576123@163.com
 * CreateTime:2019-07-08
 * Description:权限授予类型F
 * Modifier:
 * ModifyContent:
 */
public enum PermissionGrantedType {
    /**
     * 默认值或检测失败
     */
    none,
    /**
     * 所有检测的权限都已授予
     */
    granted,
    /**
     * 至少有一个权限未经许可就拒绝了
     */
    shouldShowRequestPermissionRationale,
    /**
     * 至少有一个人拒绝了ask never again的许可
     * (需要进入设置)
     */
    askNeverAgain,
    /**
     * 需要用户强提醒手动设置(sdk<23且被禁止)
     */
    needStrongReminder,
    /**
     * 前一次未授权
     */
    previousNotGranted
}
