package com.basic.eyflutter_uikit.pickers.enums;

import android.text.TextUtils;

public enum SelectMode {
    /// 可以选择图片和视频 //同时可以拍照和拍视频
    all,
    /// 只可以选择图片 //同时可以拍照片
    image,
    /// 只可以选择视频 //同时可以拍视频
    video,
    ///上面的值 决定 唤起选择器

    ///下面的值 决定 只唤起相机
    ///可以拍照和拍视频
    talkingAll,
    ///只可以拍照
    talkingImage,
    ///只可以拍视频
    talkingVideo;

    public static SelectMode getMode(String name) {
        if (TextUtils.isEmpty(name)) {
            return SelectMode.all;
        }
        try {
            SelectMode selectMode = SelectMode.valueOf(name);
            return selectMode;
        } catch (Exception e) {
            return SelectMode.all;
        }
    }
}
