package com.basic.eyflutter_uikit.pickers.pick;

import android.app.Activity;

import com.basic.eyflutter_uikit.pickers.beans.PickBean;
import com.basic.eyflutter_uikit.pickers.beans.PickConfigResponse;
import com.basic.eyflutter_uikit.pickers.enums.SelectMode;

import java.lang.ref.WeakReference;

public class PhotoPickConfig {

    /// 每列显示个数
    public static int GRID_SPAN_COUNT = 3;
    //多选
    public static int MODE_PICK_MORE = 1;
    //单选
    public static int MODE_PICK_SINGLE = 0;
    //最大允许选择数
    public static int DEFAULT_CHOOSE_SIZE = 1;
    //视频最大时长(秒)
    public static int VIDEO_MAX_DURATION = 10;

    public static int SELECT_PICK_RESULT_CODE = 24547;

    static public class Builder {
        private PickBean pickBean = new PickBean();
        private WeakReference<Activity> activity;

        public Builder(Activity activity) {
            this.activity = new WeakReference<>(activity);

        }

        public Builder setMaxCount(int maxCount) {
            pickBean.setMaxCount(maxCount);
            return this;
        }

        public Builder setSpanCount(int spanCount) {
            pickBean.setSpanCount(spanCount);
            return this;
        }

        public Builder setPickMode(int pickMode) {
            pickBean.setPickMode(pickMode);
            return this;
        }

        public Builder setMaxPickSize(int maxPickSize) {
            pickBean.setMaxPickSize(maxPickSize);
            return this;
        }

        public Builder setMode(SelectMode mode) {
            pickBean.setMode(mode);
            return this;
        }

        public Builder setClipPhoto(boolean clipPhoto) {
            pickBean.setClipPhoto(clipPhoto);
            return this;
        }

        public Builder setClipCircle(boolean clipCircle) {
            pickBean.setClipCircle(clipCircle);
            return this;
        }

        public Builder setShowOriginal(boolean showOriginal) {
            pickBean.setShowOriginal(showOriginal);
            return this;
        }

        public Builder setStartCompression(boolean startCompression) {
            pickBean.setStartCompression(startCompression);
            return this;
        }

        public Builder setCanMultipleVideo(boolean canMultipleVideo) {
            pickBean.setCanMultipleVideo(canMultipleVideo);
            return this;
        }

        public Builder setVideoMaxDuration(int videoMaxDuration) {
            pickBean.setVideoMaxDuration(videoMaxDuration);
            return this;
        }

        public Builder setCallback(OnPickCallback callback) {
            pickBean.setCallback(callback);
            return this;
        }

        public Builder setSelectItemCallback(OnPickSelectItemsCallback callback) {
            pickBean.setSelectItemsCallback(callback);
            return this;
        }

        public PickConfigResponse build() {
            PickConfigResponse response = new PickConfigResponse();
            response.setPickBean(pickBean);
            response.setActivity(activity.get());
            return response;
        }
    }
}
