package com.basic.eyflutter_uikit.pickers.pick.loader;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;

import com.basic.eyflutter_uikit.R;
import com.bumptech.glide.Glide;
import com.bumptech.glide.RequestBuilder;
import com.bumptech.glide.request.RequestOptions;
import com.makeramen.roundedimageview.RoundedImageView;

public class GlideImageLoader implements ImageLoader {

    @Override
    public void displayImage(Context context, String originalImagePath, String thumbnailsImagePath, final RoundedImageView imageView, boolean resize, boolean loadThumbnailsImage, int corners, int imageSize) {
        RequestOptions options = new RequestOptions();
        RequestBuilder<Drawable> load;
        if (loadThumbnailsImage && !TextUtils.isEmpty(thumbnailsImagePath)) {
            if (resize) options.centerCrop();
            load = Glide.with(context).load(originalImagePath).thumbnail(Glide.with(context).load(thumbnailsImagePath).apply(options));
        } else {
            load = Glide.with(context).load(originalImagePath);
        }
        if (resize) options.centerCrop();
        options.error(context.getResources().getDrawable(R.drawable.cl_item_gallery_bg));
        load.apply(options).override(imageSize).into(imageView);
    }

    @Override
    public void displayImage(Context context, String originalImagePath, RoundedImageView imageView, boolean resize, int corners, int imageSize) {
        displayImage(context, originalImagePath, null, imageView, resize, false, corners, imageSize);
    }

    @Override
    public void clearMemoryCache() {

    }
}