package com.basic.eyflutter_uikit.subscribe;

import android.app.Activity;

import androidx.fragment.app.FragmentActivity;

import com.basic.eyflutter_core.beans.PermissionApplyParams;
import com.basic.eyflutter_core.channel.OnDistributionSubscribe;
import com.basic.eyflutter_uikit.PermissionCheckAuxiliary;
import com.basic.eyflutter_uikit.enums.PermissionGrantedType;
import com.cloud.eyutils.events.Action1;
import com.cloud.eyutils.launchs.LauncherState;
import com.cloud.eyutils.mapper.MapperEntry;

import java.util.HashMap;

import io.flutter.plugin.common.MethodChannel;

public class PermissionApplySubscribe extends OnDistributionSubscribe {
    @Override
    public void onSubscribe(MethodChannel.Result result, HashMap<String, Object> arguments) {
        PermissionApplyParams params = MapperEntry.toEntity(arguments, PermissionApplyParams.class);
        String[] permissions = params.getPermissions().toArray(new String[0]);
        PermissionCheckAuxiliary checkAuxiliary = new PermissionCheckAuxiliary();
        Activity recentlyCreateActivity = LauncherState.getInstance().getRecentlyCreateActivity();
        if (recentlyCreateActivity instanceof FragmentActivity) {
            FragmentActivity fragmentActivity = (FragmentActivity) recentlyCreateActivity;
            checkAuxiliary.apply(fragmentActivity, params.getPrompt(), new PermissionApplyAction(result), permissions);
        } else {
            result.success(false);
        }
    }

    private class PermissionApplyAction implements Action1<PermissionGrantedType> {

        private MethodChannel.Result result;

        public PermissionApplyAction(MethodChannel.Result channelResult) {
            result = channelResult;
        }

        @Override
        public void call(PermissionGrantedType grantedType) {
            if (result != null) {
                result.success(grantedType == PermissionGrantedType.granted);
            }
        }
    }
}
