import 'package:eyflutter_uikit/uikit/images/beans/image_entry.dart';
import 'package:eyflutter_uikit/uikit/images/events/on_image_call.dart';
import 'package:eyflutter_uikit/uikit/images/image_list_factory.dart';

class FlutterImageList extends ImageListFactory implements OnImageFactoryCall {

  factory FlutterImageList() => _getInstance();

  static FlutterImageList get instance => _getInstance();
  static FlutterImageList? _instance;

  FlutterImageList._internal();

  static FlutterImageList _getInstance() {
    return _instance ??= new FlutterImageList._internal();
  }
  
  @override
  ImageListFactory onImageList() {
    return FlutterImageList.instance;
  }

  @override
  void flutterImageMap(Map<String, ImageEntry>? imageMap) {
    imageMap?['indicator_icon'] = ImageEntry(package: 'example', path: 'images/indicator_icon.png', suffix: '.png');
  }
}