import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class DropPage extends StatefulWidget {
  const DropPage({Key? key}) : super(key: key);

  @override
  _DropPageState createState() => _DropPageState();
}

class _DropPageState extends State<DropPage> {
  String selValue = "1";
  DropdownListController? dropdownListController;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: const Color(0xFFF4F4F4),
      appBar: const ActionBar(
        leadingActions: [Text("返回")],
        content: Text(
          "标题",
          style: TextStyle(color: Colors.red),
        ),
        actions: [Text("确认")],
        rightPadding: 30,
        isFloatContent: true,
      ),
      body: Container(
        padding: const EdgeInsets.only(left: 30, top: 100, right: 30),
        alignment: Alignment.topCenter,
        child: DropdownList(
          items: [
            ListItem(value: "1", text: '选项1'),
            ListItem(text: "选项2", value: "2"),
          ],
          width: 160,
          title: "标题",
          submitText: "确定",
          isPreSelect: true,
          isMultiSelect: false,
          hintText: "请选择 ",
          leastSelectHintText: "至少选择一项",
          buttonBackgroundColors: const [Color(0xff1afa29), Color(0xff1afa29)],
          buttonIconColor: Colors.white,
          defaultValue: selValue,
          borderRadius: const BorderRadius.all(Radius.circular(10)),
          enable: true,
          listSplitLineColor: Colors.red,
          buildCall: (controller) {
            dropdownListController = controller;
          },
          selectCall: (List<ListItem> selectItems) {
            var first = selectItems.first;
            selValue = first.value;
            dropdownListController?.notifierLazy(first.value);
          },
        ),
      ),
    );
  }
}
