import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:eyflutter_uikit_example/convex_bottom_bar_page.dart';
import 'package:eyflutter_uikit_example/drop_page.dart';
import 'package:eyflutter_uikit_example/export_sudoku_dialog.dart';
import 'package:eyflutter_uikit_example/flow_page.dart';
import 'package:eyflutter_uikit_example/input_number_page.dart';
import 'package:eyflutter_uikit_example/my_tab_page.dart';
import 'package:eyflutter_uikit_example/rich_text_page.dart';
import 'package:eyflutter_uikit_example/setting_bar_page.dart';
import 'package:flutter/material.dart';

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('eyflutter demo'),
      ),
      body: ConstListView(
        itemCount: 20,
        itemExtent: 50,
        buttons: [
          ConstButton(
            text: "Flow Widget",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const FlowPage());
            },
          ),
          ConstButton(
            text: "RichText Widget",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const RichTextPage());
            },
          ),
          ConstButton(
            text: "Setting Bar Widget",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const SettingBarPage());
            },
          ),
          ConstButton(
            text: "radio group widget",
            onLongPress: () {
              ExportSudokuDialog.instance.show(context: context);
            },
          ),
          ConstButton(
            text: "input number计数器",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const InputNumberPage());
            },
          ),
          ConstButton(
            text: "drop widget",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const DropPage());
            },
          ),
          ConstButton(
            text: "convex bottom bar",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const ConvexBottomBarPage());
            },
          ),
          ConstButton(
            text: "tab page",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const MyTabPage());
            },
          )
        ],
      ),
    );
  }
}
