import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:eyflutter_uikit_example/configuration/flutter_image_list.dart';
import 'package:eyflutter_uikit_example/configuration/image_config_impl.dart';
import 'package:eyflutter_uikit_example/configuration/image_names_alias.dart';
import 'package:eyflutter_uikit_example/tab_page_fragment.dart';
import 'package:flutter/material.dart';

class MyTabPage extends StatefulWidget {
  const MyTabPage({Key? key}) : super(key: key);

  @override
  _MyTabPageState createState() => _MyTabPageState();
}

class _MyTabPageState extends State<MyTabPage> {
  @override
  void initState() {
    super.initState();
    ConfigManager.instance.addConfig(ImageKey.imageListKey, FlutterImageList.instance.onImageList());
    ConfigManager.instance.addConfig(ImageKey.imageConfigKey, ImageConfigImpl());
  }

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: Container(
          color: Colors.white,
          child: TabPages(
            style: TabPageStyle.hiddenAppBar,
            tabs: buildTabs(),
            pages: const [TabPageFragment(), TabPageFragment(), TabPageFragment(), TabPageFragment()],
            tabHeight: 50,
            selectedLabelColor: const Color(0xFFE63021),
            unselectedLabelColor: const Color(0xFF56575B),
            indicatorColor: const Color(0x66E63021),
            elevationColor: const Color(0x0d3B372C),
            selectedLabelStyle: const TextStyle(fontSize: 16),
            tabBackgroundColor: const Color(0xffF1EDE1),
            indicatorPadding: const EdgeInsets.only(left: -8, right: -8),
            isScrollable: false,
            initialIndex: 0,
            indicatorImageNameOrAlias: ImageNamesAlias.indicatorIcon,
            imageIndicatorOffsetDx: 8,
          ),
        ),
      ),
      top: true,
    );
  }

  List<TabWidget> buildTabs() {
    List<TabWidget> tabWidgets = [];
    tabWidgets.add(TabWidget(text: "温故"));
    tabWidgets.add(TabWidget(text: "今日学"));
    tabWidgets.add(TabWidget(text: "待学习"));
    tabWidgets.add(TabWidget(text: "已背诵"));
    return tabWidgets;
  }
}
