import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class RadioGroupPage extends StatefulWidget {
  const RadioGroupPage({Key? key}) : super(key: key);

  @override
  _RadioGroupPageState createState() => _RadioGroupPageState();
}

class _RadioGroupPageState extends State<RadioGroupPage> {
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.max,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        const Text(
          "数独类型：",
          style: TextStyle(color: Color(0xcc333333), fontSize: 14),
        ),
        RadioGroup(
          items: [
            RadioEntry(text: "四宫数独", tag: "4"),
            RadioEntry(text: "六宫数独", tag: "6"),
            RadioEntry(text: "十二宫数独", tag: "12"),
          ],
          selectIconColor: const Color(0xffCEC6A1),
          unSelectIconColor: const Color(0xffCEC6A1),
          textPadding: const EdgeInsets.only(left: 6, top: 10, right: 4, bottom: 10),
          orientation: RadioArrange.vertical,
          style: AlignStyle.autoFill,
          width: MediaUtils.instance.screenWidth,
          tag: "4",
          allowReverseSelection: false,
        )
      ],
    );
  }
}
