import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class SettingBarPage extends StatefulWidget {
  const SettingBarPage({Key? key}) : super(key: key);

  @override
  _SettingBarPageState createState() => _SettingBarPageState();
}

class _SettingBarPageState extends State<SettingBarPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: const Color(0xff666666),
      padding: const EdgeInsets.only(top: 60),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: const [
          SettingBar(
            margin: EdgeInsets.only(left: 6, top: 10, right: 6),
            backgroundColor: Colors.white,
            borderWidth: 0,
            borderColor: Colors.transparent,
            itemPadding: EdgeInsets.only(left: 13, right: 13),
            textColor: Color(0xff000000),
            textSize: 15,
            markSize: 15,
            markColor: Color(0xff333333),
            secondarySize: 13,
            secondaryColor: Color(0xFF999999),
            dividerColor: Color(0xffe6e6e6),
            dividerHeight: 0.9,
            items: [
              SettingBarItem(
                height: 48,
                text: "今日学古诗",
                secondary: "（提示文本）",
                secondaryAlignment: Alignment.centerLeft,
                secondaryDirection: SecondaryDirection.bottom,
              ),
            ],
          )
        ],
      ),
    );
  }
}
