//
//  EyInfoCameraController.h
//  cameraPicker
//
//  Created by eyinfo on 2021/6/9.
//

#import <UIKit/UIKit.h>
#import <Photos/Photos.h>
#import "EyInfoCameraManager.h"
#import "pickerArgumentModel.h"
NS_ASSUME_NONNULL_BEGIN

@interface EyInfoCameraController : UIViewController

@property (nonatomic,assign) BOOL takeRecording;//是否可以拍视频  和takeImage //必须一个为yes
@property (nonatomic,assign) BOOL takeImage;//是否可以拍照。 和takeRecording //必须一个为yes
@property (nonatomic,assign) BOOL videoSaveToPhotoAlbum;//视频是否保存到相册
@property (nonatomic,assign) NSInteger maxDuration;//视频最大时长 秒

//自定义的文字model
@property (nonatomic,strong) pickerLangArgumentModel *langArgumentModel;
//自定义的文字model
@property (nonatomic,strong) pickerPermissModel *permissModel;
//自定义的文字model
@property (nonatomic,copy) NSString *mode;

//显示文字
@property (nonatomic,copy)NSString *photoBtnTitle;
@property (nonatomic,copy)NSString *videoBtnTitle;
@property (nonatomic,copy)NSString *useBtnTitle;
@property (nonatomic,copy)NSString *reTakeBtnTitle;

//视频保存本地回调
@property (nonatomic,copy) void (^didFinishRecordingToOutputFileAtURL)(NSURL *fileUrl, NSError *error);

//视频保存相册回调 videoSaveToPhotoAlbum = yes才会调用 并且会删除本地fileUrl视频
@property (nonatomic,copy) void (^didFinishRecordingAndSaveToPhotoAlbum)(PHAsset *asset, NSError *error);

//拍照完成回调
@property (nonatomic,copy) void (^didFinishTakePictureAndSaveToPhotoAlbum)(PHAsset *asset, NSError *error);
@end

NS_ASSUME_NONNULL_END
