//
//  EyInfoCameraManager.h
//  cameraPicker
//
//  Created by eyinfo on 2021/6/10.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>
#import <Photos/Photos.h>
NS_ASSUME_NONNULL_BEGIN

@interface EyInfoCameraManager : NSObject

@property (nonatomic,strong)AVCaptureSession *session;
@property (nonatomic,strong,readonly)AVCaptureDeviceInput *input;

@property (nonatomic,assign) BOOL isRecording;//是否正在拍视频

//视频拍摄完成回调
@property (nonatomic,copy) void (^didFinishRecordingToOutputFileAtURL)(NSURL *fileUrl, NSError *error);

//图片拍照完成
@property (nonatomic,copy) void (^didFinishTakePhoto)(UIImage *image, NSError *error);

//保存图片到相册方法
+ (void)savePhotoWithImage:(UIImage *)image completion:(void (^)(PHAsset *asset, NSError *error))completion;

//保存视频到相册方法
+ (void)saveVideoWithUrl:(NSURL *)url location:(CLLocation *)location completion:(void (^)(PHAsset *asset, NSError *error))completion;

+(instancetype)defaultManager;

//删除这个工具创建的视频文件
- (void)cleanMovieFile;
// 根据路径删除文件
- (void)cleanFile:(NSURL *)filrUrl;

//配置seccion。必须调用
-(void)configSeccion;

//拍照。并且返回原图
-(void)takePhotoWith:(void (^)(UIImage *image, NSError *error))completion;

//拍视频。返回视频路径
-(void)startRecordWith:(void (^)(NSURL *fileUrl, NSError *error))complete;

//停止拍视频。 会走回调返回视频路径
-(void)stopRecord;

-(void)sessionStartRunning;

-(void)sessionStopRunning;

#pragma mark ---闪光灯切换---
-(void)switchFlashwith:(BOOL)isOpen;

/**
 切换摄像头按钮的点击方法的实现（切换摄像头时可以添加转场动画）
 */
-(void)changeWebcam;
@end

NS_ASSUME_NONNULL_END
