//
//  EyInfoCameraTopView.m
//  cameraPicker
//
//  Created by eyinfo on 2021/6/9.
//

#import "EyInfoCameraVideoPlayer.h"
#import <MediaPlayer/MediaPlayer.h>
#import <AVFoundation/AVFoundation.h>
@interface EyInfoCameraVideoPlayer ()

@property (nonatomic,strong) AVPlayer *player;
@property (nonatomic,strong) AVPlayerItem *playeritem;
@property (nonatomic,strong) AVPlayerLayer *playerLayer;

@end
@implementation EyInfoCameraVideoPlayer
+(instancetype)videoPlayerWithMovieUrl:(NSURL *)url{
    EyInfoCameraVideoPlayer *player = [[EyInfoCameraVideoPlayer alloc] init];
    player.movieURL = url;
    return player;
}

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(moviePlayDidEnd:) name:AVPlayerItemDidPlayToEndTimeNotification object:nil];
        
    }
    return self;
}
-(void)setMovieURL:(NSURL *)movieURL{
    _movieURL = movieURL;
    [self initUI];
}
-(void)setFrame:(CGRect)frame{
    [super setFrame:frame];
    _playerLayer.frame = self.bounds;
}

- (void)dealloc {
    NSLog(@"%s",__func__);
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}


- (void)moviePlayDidEnd:(NSNotification*)notification{
    
    [_player seekToTime:CMTimeMake(0, 1)];
    
    [self.player play];
    
}

-(void)initUI{
    [self.layer addSublayer:self.playerLayer];
}

#pragma mark lazy
-(AVPlayerItem *)playeritem{
    if (!_playeritem) {
        _playeritem = [[AVPlayerItem alloc] initWithURL:self.movieURL];
    }
    return _playeritem;
}
-(AVPlayer *)player{
    if (!_player) {
        _player = [AVPlayer playerWithPlayerItem:self.playeritem];
        [_player play];
    }
    return _player;
}

-(AVPlayerLayer *)playerLayer{
    if (!_playerLayer) {
        _playerLayer = [AVPlayerLayer playerLayerWithPlayer:self.player];
        _playerLayer.videoGravity = AVLayerVideoGravityResizeAspectFill;
    }
    return _playerLayer;
}


@end
