//
//  UIView+GBLayout.m
//  GBImagePickerController
//
//  Created by 谭真 on 15/2/24.
//  Copyright © 2015年 谭真. All rights reserved.
//

#import "UIView+GBLayout.h"

@implementation UIView (GBLayout)

- (CGFloat)GB_left {
    return self.frame.origin.x;
}

- (void)setGB_left:(CGFloat)x {
    CGRect frame = self.frame;
    frame.origin.x = x;
    self.frame = frame;
}

- (CGFloat)GB_top {
    return self.frame.origin.y;
}

- (void)setGB_top:(CGFloat)y {
    CGRect frame = self.frame;
    frame.origin.y = y;
    self.frame = frame;
}

- (CGFloat)GB_right {
    return self.frame.origin.x + self.frame.size.width;
}

- (void)setGB_right:(CGFloat)right {
    CGRect frame = self.frame;
    frame.origin.x = right - frame.size.width;
    self.frame = frame;
}

- (CGFloat)GB_bottom {
    return self.frame.origin.y + self.frame.size.height;
}

- (void)setGB_bottom:(CGFloat)bottom {
    CGRect frame = self.frame;
    frame.origin.y = bottom - frame.size.height;
    self.frame = frame;
}

- (CGFloat)GB_width {
    return self.frame.size.width;
}

- (void)setGB_width:(CGFloat)width {
    CGRect frame = self.frame;
    frame.size.width = width;
    self.frame = frame;
}

- (CGFloat)GB_height {
    return self.frame.size.height;
}

- (void)setGB_height:(CGFloat)height {
    CGRect frame = self.frame;
    frame.size.height = height;
    self.frame = frame;
}

- (CGFloat)GB_centerX {
    return self.center.x;
}

- (void)setGB_centerX:(CGFloat)centerX {
    self.center = CGPointMake(centerX, self.center.y);
}

- (CGFloat)GB_centerY {
    return self.center.y;
}

- (void)setGB_centerY:(CGFloat)centerY {
    self.center = CGPointMake(self.center.x, centerY);
}

- (CGPoint)GB_origin {
    return self.frame.origin;
}

- (void)setGB_origin:(CGPoint)origin {
    CGRect frame = self.frame;
    frame.origin = origin;
    self.frame = frame;
}

- (CGSize)GB_size {
    return self.frame.size;
}

- (void)setGB_size:(CGSize)size {
    CGRect frame = self.frame;
    frame.size = size;
    self.frame = frame;
}
@end
