//
//  gobooPickers.m
//  cloud_basic_pickers
//
//  Created by goboo on 2021/7/1.
//

#import "eyinfoPickers.h"
#import "TZImagePickerController/TZImagePickerController.h"
#import <MobileCoreServices/MobileCoreServices.h>
#import "pickerArgumentModel.h"
#import "EyInfoCameraController.h"
#import "Tools.h"
@interface eyinfoPickers ()
@end
@implementation eyinfoPickers
/**
 params?["mode"];
 all, 可以选择图片和视频 //同时可以拍照和拍视频
 image, 只可以选择图片 //同时可以拍照片
 video /// 只可以选择视频 //同时可以拍视频
 talkingAll ///可以拍照和拍视频
 talkingImage  ///只可以拍照
 talkingVideo ///只可以拍视频
 */
+ (void)showImagePickerWithparame:(NSDictionary *)parame complete:(pickerCompleteCall)complete{
   
    NSString *callKey = [parame objectForKey:@"flutter_result_call_key"];
    NSString *mode = [parame objectForKey:@"mode"];
    pickerArgumentModel *pickerArgumentmodel = [pickerArgumentModel pickerArgumentModelWith:parame[@"pickerArguments"]];
    pickerLangArgumentModel *langArgumentModel = [pickerLangArgumentModel pickerLangArgumentModelWith:[Tools jsonStrToDictionary:parame[@"language"]]];
    pickerPermissModel *premissModel = [pickerPermissModel pickerPermissModelWith:[Tools jsonStrToDictionary:parame[@"permission"]]];
    
    if (pickerArgumentmodel.maxCount <= 0) {
        complete(callKey,NULL);
        return;
    }
    // 设置languageBundle以使用其它语言，必须在TZImagePickerController初始化前设置 / Set languageBundle to use other language
    // [TZImagePickerConfig sharedInstance].languageBundle = [NSBundle bundleWithPath:[[NSBundle mainBundle] pathForResource:@"tz-ru" ofType:@"lproj"]];
    
    
    TZImagePickerController *imagePickerVc = [[TZImagePickerController alloc] initWithMaxImagesCount:pickerArgumentmodel.maxCount delegate:self];
    imagePickerVc.naviBgColor = [Tools colorWithHex:0xffffffff];
    imagePickerVc.oKButtonTitleColorNormal = [Tools colorWithHex:0xffffffff];
    imagePickerVc.oKButtonTitleColorDisabled = [Tools colorWithHex:0xffffffff];
    imagePickerVc.didFinishPickingPhotosWithInfosHandle = ^(NSArray<UIImage *> *photos, NSArray *assets, BOOL isSelectOriginalPhoto, NSArray<NSDictionary *> *infos) {
        NSMutableArray *urlArray  = [NSMutableArray array];
        for (PHAsset *asset in assets) {
            
            NSString *tempPrivateFilePath = [self assetFilePahtWith:asset];
            if (tempPrivateFilePath.length) {
                
                if ([[TZImageManager manager] isVideo:asset]) {
                    NSDictionary *dict = @{@"type":@"video",@"filePath":tempPrivateFilePath};
                    [urlArray addObject:dict];
                }else{
                    NSDictionary *dict = @{@"type":@"image",@"filePath":tempPrivateFilePath};
                    [urlArray addObject:dict];
                }
            }
            
            //            NSData *data1 = [NSData dataWithContentsOfURL:[NSURL URLWithString:tempPrivateFilePath]];
            
        }
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:urlArray options:0 error:nil];
        
        NSString *strJson = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        
        complete(callKey,strJson);
        NSLog(@"%@",infos);
    };
    
    
    imagePickerVc.didFinishPickingVideoHandle = ^(UIImage *coverImage, PHAsset *asset) {
       
        NSString *tempPrivateFilePath = [self assetFilePahtWith:asset];
        NSMutableArray *urlArray  = [NSMutableArray array];
        if (tempPrivateFilePath.length) {
            
            if ([[TZImageManager manager] isVideo:asset]) {
                NSDictionary *dict = @{@"type":@"video",@"filePath":tempPrivateFilePath};
                [urlArray addObject:dict];
            }else{
                NSDictionary *dict = @{@"type":@"image",@"filePath":tempPrivateFilePath};
                [urlArray addObject:dict];
            }
        }
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:urlArray options:0 error:nil];
        NSString *strJson = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        
        complete(callKey,strJson);
    };
    
    if ([Tools isBlankString:mode]) {
        imagePickerVc.allowTakePicture = NO; // 在内部显示拍照按钮
        imagePickerVc.allowTakeVideo = NO;   // 在内部显示拍视频按
    }else{
        if ([mode isEqual:@"all"]) {
            imagePickerVc.allowTakePicture = YES; // 在内部显示拍照按钮
            imagePickerVc.allowTakeVideo = YES;   // 在内部显示拍视频按
            imagePickerVc.allowPickingVideo = YES;
            imagePickerVc.allowPickingImage = YES;
        }else if([mode isEqual:@"image"]) {
            imagePickerVc.allowTakePicture = YES; // 在内部显示拍照按钮
            imagePickerVc.allowPickingImage = YES;
            imagePickerVc.allowPickingVideo = NO;
            imagePickerVc.allowTakeVideo = NO;
        }else{
            imagePickerVc.allowTakeVideo = YES;   // 在内部显示拍视频按
            imagePickerVc.allowPickingVideo = YES;
            imagePickerVc.allowPickingImage = NO;
            imagePickerVc.allowTakePicture = NO;
        }
    }
    imagePickerVc.sortAscendingByModificationDate = NO;//排序
    imagePickerVc.videoMaximumDuration = pickerArgumentmodel.videoMaxDuration; // 视频最大拍摄时间
    //        imagePickerVc.allowEditVideo = YES; // 允许编辑视频
    imagePickerVc.saveEditedVideoToAlbum = YES; // 编辑后的视频是否自动保存到相册
    // imagePickerVc.maxCropVideoDuration = 30; // 裁剪视频的最大时长
    // imagePickerVc.presetName = AVAssetExportPresetMediumQuality // 编辑后的视频的导出质量
    imagePickerVc.autoSelectCurrentWhenDone = YES;
    
    // 2. Set the appearance
    // 2. 在这里设置imagePickerVc的外观
    // imagePickerVc.navigationBar.barTintColor = [UIColor greenColor];
    // imagePickerVc.oKButtonTitleColorDisabled = [UIColor lightGrayColor];
    // imagePickerVc.oKButtonTitleColorNormal = [UIColor greenColor];
    // imagePickerVc.navigationBar.translucent = NO;
//    imagePickerVc.iconThemeColor = [UIColor colorWithRed:31 / 255.0 green:185 / 255.0 blue:34 / 255.0 alpha:1.0];
    imagePickerVc.showPhotoCannotSelectLayer = YES;
    imagePickerVc.cannotSelectLayerColor = [[UIColor whiteColor] colorWithAlphaComponent:0.8];
    imagePickerVc.allowPickingOriginalPhoto = pickerArgumentmodel.showOriginal;
    imagePickerVc.allowPickingMultipleVideo = YES;//pickerArgumentmodel.canMultipleVideo; // 是否可以多选视频
    

    imagePickerVc.showSelectBtn = YES;
    imagePickerVc.allowCrop = pickerArgumentmodel.clipPhoto;
    imagePickerVc.needCircleCrop = pickerArgumentmodel.clipCircle;//是否需要圆形裁剪
    imagePickerVc.statusBarStyle = UIStatusBarStyleLightContent;
    
    // 设置是否显示图片序号
    imagePickerVc.showSelectedIndex = YES;
    imagePickerVc.allowCameraLocation = NO;
    
    if (langArgumentModel&&![Tools isBlankString:langArgumentModel.lang]) {
        imagePickerVc.preferredLanguage = langArgumentModel.lang;
    }
    if (![Tools isBlankString:langArgumentModel.send]) {
        imagePickerVc.langModel = langArgumentModel;
    }
    imagePickerVc.permissModel = premissModel;
    imagePickerVc.mode = mode;
    imagePickerVc.doneBtnTitleStr = langArgumentModel.send;
    imagePickerVc.previewBtnTitleStr = langArgumentModel.preview;
    imagePickerVc.processHintStr = langArgumentModel.loading;
    
    
#pragma mark - 到这里为止
    
    UIViewController *rootvc = [UIApplication sharedApplication].keyWindow.rootViewController;
    //    UINavigationController *navc = [[UINavigationController alloc] initWithRootViewController:imagePickerVc];
    
    imagePickerVc.modalPresentationStyle = UIModalPresentationFullScreen;
    
    [rootvc presentViewController:imagePickerVc animated:YES completion:nil];
    
}



#pragma mark - 手动唤起相机
+(void)showCameraWithparame:(NSDictionary *)parame complete:(pickerCompleteCall)complete{
    
    NSString *callKey = [parame objectForKey:@"flutter_result_call_key"];
    NSString *mode = [parame objectForKey:@"mode"];
    
    pickerArgumentModel *pickerArgumentmodel = [pickerArgumentModel pickerArgumentModelWith:parame[@"pickerArguments"]];
    pickerLangArgumentModel *langArgumentModel = [pickerLangArgumentModel pickerLangArgumentModelWith:[Tools jsonStrToDictionary:parame[@"language"]]];
    pickerPermissModel *premissModel = [pickerPermissModel pickerPermissModelWith:[Tools jsonStrToDictionary:parame[@"permission"]]];
    
    
    EyInfoCameraController *cameraVc = [[EyInfoCameraController alloc] init];
    cameraVc.maxDuration = pickerArgumentmodel.videoMaxDuration;
    
    if ([Tools isBlankString:mode]) {
        cameraVc.takeImage = YES;
    }else{
        if ([mode isEqual:@"talkingAll"]) {
            cameraVc.takeRecording = YES;
            cameraVc.takeImage = YES;
        }else if([mode isEqual:@"talkingImage"]) {
            cameraVc.takeImage = YES;
        }else{
            cameraVc.takeRecording = YES;
        }
    }
    
   
    if (![Tools isBlankString:langArgumentModel.send]) {
        cameraVc.langArgumentModel = langArgumentModel;
    }
    cameraVc.permissModel = premissModel;
    
    cameraVc.didFinishRecordingToOutputFileAtURL = ^(NSURL * _Nonnull fileUrl, NSError * _Nonnull error) {
        if (!fileUrl) {
            complete(callKey,NULL);
            return;;
        }
        [EyInfoCameraManager saveVideoWithUrl:fileUrl location:nil completion:^(PHAsset * _Nonnull asset, NSError * _Nonnull error) {
            if (error) {
                if (complete) {
                    complete(callKey,NULL);
                }
                return;
            }
            NSString *tempPrivateFilePath = [self assetFilePahtWith:asset];
            NSMutableArray *urlArray  = [NSMutableArray array];
             NSDictionary *dict  = [NSDictionary dictionary];
             if (tempPrivateFilePath.length) {
                 dict = @{@"type":@"video",@"filePath":tempPrivateFilePath};
                 [urlArray addObject:dict];
             }
             
             NSData *jsonData = [NSJSONSerialization dataWithJSONObject:urlArray options:0 error:nil];
             
             NSString *strJson = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
             
             if (complete) {
                 complete(callKey,strJson);
             }
            
        }];
    };
    
    
    cameraVc.didFinishTakePictureAndSaveToPhotoAlbum = ^(PHAsset * _Nonnull asset, NSError * _Nonnull error) {
        if (error) {
            if (complete) {
                complete(callKey,NULL);
            }
            return;
        }
       NSString *tempPrivateFilePath = [self assetFilePahtWith:asset];
        NSMutableArray *urlArray  = [NSMutableArray array];
        NSDictionary *dict  = [NSDictionary dictionary];
        if (tempPrivateFilePath.length) {
            dict = @{@"type":@"image",@"filePath":tempPrivateFilePath};
            [urlArray addObject:dict];
        }
        
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:urlArray options:0 error:nil];
        
        NSString *strJson = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        
        if (complete) {
            complete(callKey,strJson);
        }
        
    };
        
    UIViewController *rootvc = [UIApplication sharedApplication].keyWindow.rootViewController;
    cameraVc.modalPresentationStyle = UIModalPresentationFullScreen;
    [rootvc presentViewController:cameraVc animated:YES completion:nil];
    
}


+(NSString *)assetFilePahtWith:(PHAsset *)asset{
    PHAssetResource * resource = [[PHAssetResource assetResourcesForAsset: asset] firstObject];
    NSString *tempPrivateFilePath = [NSString stringWithFormat:@"%@",[resource valueForKey:@"privateFileURL"]];
    tempPrivateFilePath = [tempPrivateFilePath stringByReplacingOccurrencesOfString:@"file://" withString:@""];
    return tempPrivateFilePath;
}
@end
