//
//  pickerArgumentModel.h
//  cloud_basic_pickers
//
//  Created by goboo on 2021/6/8.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface pickerArgumentModel : NSObject
@property (nonatomic, assign) BOOL canMultipleVideo;// 是否可以多选视频
@property (nonatomic, assign) BOOL clipPhoto;// 是否开启裁剪照片功能，默认关闭
@property (nonatomic, assign) BOOL clipCircle;// 是否裁剪方式为圆形，默认为矩形
@property (nonatomic, assign) NSInteger maxCount;// 最大选择数量
@property (nonatomic, assign) BOOL showIndex;// 是否显示图片选择数
@property (nonatomic, assign) BOOL showOriginal;//是否显示原图按钮，默认显示
@property (nonatomic, assign) NSInteger videoMaxDuration;//拍视频最大时长
@property (nonatomic, assign) NSInteger spanCount;//每列显示数
@property (nonatomic, assign) BOOL startCompression;//是否开启压缩


+(instancetype)pickerArgumentModelWith:(NSDictionary *)dict;

@end

@interface pickerLangArgumentModel : NSObject
@property (nonatomic, copy) NSString *send;
@property (nonatomic, copy) NSString *reTake;
@property (nonatomic, copy) NSString *photo;
@property (nonatomic, copy) NSString *camera;
@property (nonatomic, copy) NSString *video;
@property (nonatomic, copy) NSString *preview;
@property (nonatomic, copy) NSString *loading;
@property (nonatomic, copy) NSString *cropTitle;//裁剪标题
@property (nonatomic, strong) NSDictionary *chooseLimit;//
@property (nonatomic, copy) NSString *lang;
@property (nonatomic, copy) NSString *cancle;
@property (nonatomic, copy) NSString *setting;




+(instancetype)pickerLangArgumentModelWith:(NSDictionary *)dict;

@end

@interface pickerPermissItemModel : NSObject

@property (nonatomic, strong) NSArray *permissions;
@property (nonatomic, copy) NSString *prompt;

+(instancetype)pickerPermissItemModelWith:(NSDictionary *)dict;

@end


@interface pickerPermissModel : NSObject

@property (nonatomic, strong) pickerPermissItemModel *camera;
@property (nonatomic, strong) pickerPermissItemModel *picker;
@property (nonatomic, strong) pickerPermissItemModel *talkingImage;
@property (nonatomic, strong) pickerPermissItemModel *talkingVideo;

+(instancetype)pickerPermissModelWith:(NSDictionary *)dict;

@end



NS_ASSUME_NONNULL_END
