import 'package:eyflutter_uikit/uikit/options/item_option.dart';
import 'package:flutter/material.dart';

typedef OnOptionItemBuilder = Widget Function(ItemOption option, double itemHeight);

typedef OnItemOptionClickCall = void Function(ItemOption option);

class OptionPanelWidget extends StatelessWidget {
  /// 背景颜色
  final Color? backgroundColor;

  /// 子组件
  final Widget child;

  /// 组件宽度
  final double? width;

  final double? height;

  const OptionPanelWidget({Key? key, required this.child, this.width, this.height, this.backgroundColor})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: backgroundColor ?? Color(0xFF4C4C4C),
        boxShadow: [BoxShadow(color: Color(0x20000000), offset: Offset(0, 2), blurRadius: 4.0, spreadRadius: 2.0)],
      ),
      width: width,
      height: height,
      child: child,
    );
    // return ClipRRect(
    //   borderRadius: BorderRadius.circular(5),
    //   child: Container(
    //     decoration: BoxDecoration(
    //       color: backgroundColor ?? Color(0xFF4C4C4C),
    //       border: Border.all(color: Color(0xFFE6E6E6),width: 1),
    //       boxShadow: [BoxShadow(color: Color(0x20000000), offset: Offset(0, 1),    blurRadius: 1.0, spreadRadius: 1.0)],
    //     ),
    //     width: width,
    //     height: height,
    //     child: child,
    //   ),
    // );
  }
}
