import 'package:eyflutter_core/eyflutter_core.dart';

/// Author lijinghuan
/// Email:ljh0576123@163.com
/// CreateTime:2022-05-08
/// Description:Generated file. Do not edit.
/// Modifier:
/// ModifyContent:

class PickersArguments {
  /// 最大选择数量
  int maxCount;

  /// 是否开启裁剪照片功能，默认关闭;该属性仅在单选或拍照时有效;
  bool clipPhoto;

  /// 是否裁剪方式为圆形，默认为矩形;该属性仅在单选或拍照且clipPhoto==true时有效;
  bool clipCircle;

  /// 是否开启无损压缩，默认true;该属性仅对图片有效;
  bool startCompression;

  /// 是否可以多选视频,默认为false;该属性仅在maxCount>1时有效;
  bool canMultipleVideo;

  /// 拍视频最大时长
  int videoMaxDuration;

  /// 每列显示数
  int spanCount;

  PickersArguments({this.maxCount = 0,this.clipPhoto = false,this.clipCircle = false,this.startCompression = true,this.canMultipleVideo = false,this.videoMaxDuration = 0,this.spanCount = 0, Map<String, dynamic>? json});

  factory PickersArguments.fromJson(Map<String,dynamic> json) => _$PickersArgumentsFromJson(json);

  Map<String,dynamic> toJson() => _$PickersArgumentsToJson(this);
}

PickersArguments _$PickersArgumentsFromJson(Map<String, dynamic> json) {
  return PickersArguments(
      maxCount:(json['maxCount'] is String)?("${json['maxCount']}".toInt):((json['maxCount'] ?? 0) as num).toNumInt,
      clipPhoto:(json['clipPhoto'] is String)?("${json['clipPhoto']}").isTrue:(json['clipPhoto'] ?? false) as bool,
      clipCircle:(json['clipCircle'] is String)?("${json['clipCircle']}").isTrue:(json['clipCircle'] ?? false) as bool,
      startCompression:(json['startCompression'] is String)?("${json['startCompression']}").isTrue:(json['startCompression'] ?? false) as bool,
      canMultipleVideo:(json['canMultipleVideo'] is String)?("${json['canMultipleVideo']}").isTrue:(json['canMultipleVideo'] ?? false) as bool,
      videoMaxDuration:(json['videoMaxDuration'] is String)?("${json['videoMaxDuration']}".toInt):((json['videoMaxDuration'] ?? 0) as num).toNumInt,
      spanCount:(json['spanCount'] is String)?("${json['spanCount']}".toInt):((json['spanCount'] ?? 0) as num).toNumInt, json: json);
}

Map<String, dynamic> _$PickersArgumentsToJson(PickersArguments instance) {
  final val = <String, dynamic>{};
  val['maxCount'] = instance.maxCount;
  val['clipPhoto'] = instance.clipPhoto;
  val['clipCircle'] = instance.clipCircle;
  val['startCompression'] = instance.startCompression;
  val['canMultipleVideo'] = instance.canMultipleVideo;
  val['videoMaxDuration'] = instance.videoMaxDuration;
  val['spanCount'] = instance.spanCount;
  return val;
}

//define_fields:{"PickersArguments": {"dart_file_name": {"name": "pickers_arguments", "type": "", "subType": "object", "childClassName": "", "defaultValue": "", "describe": ""}, "maxCount": {"name": "maxCount", "type": "int", "subType": "", "childClassName": "", "defaultValue": 1, "describe": "\u6700\u5927\u9009\u62e9\u6570\u91cf"}, "clipPhoto": {"name": "clipPhoto", "type": "bool", "subType": "", "childClassName": "", "defaultValue": false, "describe": "\u662f\u5426\u5f00\u542f\u88c1\u526a\u7167\u7247\u529f\u80fd\uff0c\u9ed8\u8ba4\u5173\u95ed;\u8be5\u5c5e\u6027\u4ec5\u5728\u5355\u9009\u6216\u62cd\u7167\u65f6\u6709\u6548;"}, "clipCircle": {"name": "clipCircle", "type": "bool", "subType": "", "childClassName": "", "defaultValue": false, "describe": "\u662f\u5426\u88c1\u526a\u65b9\u5f0f\u4e3a\u5706\u5f62\uff0c\u9ed8\u8ba4\u4e3a\u77e9\u5f62;\u8be5\u5c5e\u6027\u4ec5\u5728\u5355\u9009\u6216\u62cd\u7167\u4e14clipPhoto==true\u65f6\u6709\u6548;"}, "startCompression": {"name": "startCompression", "type": "bool", "subType": "", "childClassName": "", "defaultValue": true, "describe": "\u662f\u5426\u5f00\u542f\u65e0\u635f\u538b\u7f29\uff0c\u9ed8\u8ba4true;\u8be5\u5c5e\u6027\u4ec5\u5bf9\u56fe\u7247\u6709\u6548;"}, "canMultipleVideo": {"name": "canMultipleVideo", "type": "bool", "subType": "", "childClassName": "", "defaultValue": false, "describe": "\u662f\u5426\u53ef\u4ee5\u591a\u9009\u89c6\u9891,\u9ed8\u8ba4\u4e3afalse;\u8be5\u5c5e\u6027\u4ec5\u5728maxCount>1\u65f6\u6709\u6548;"}, "videoMaxDuration": {"name": "videoMaxDuration", "type": "int", "subType": "", "childClassName": "", "defaultValue": 30, "describe": "\u62cd\u89c6\u9891\u6700\u5927\u65f6\u957f"}, "spanCount": {"name": "spanCount", "type": "int", "subType": "", "childClassName": "", "defaultValue": 3, "describe": "\u6bcf\u5217\u663e\u793a\u6570"}}}