import 'package:eyflutter_core/kit/parts/config_manager.dart';
import 'package:eyflutter_uikit/uikit/refresh/events/on_refresh_config.dart';

class RefreshUtils {
  factory RefreshUtils() => _getInstance();

  static RefreshUtils get instance => _getInstance();
  static RefreshUtils? _instance;

  RefreshUtils._internal();

  static RefreshUtils _getInstance() {
    return _instance ??= new RefreshUtils._internal();
  }

  String _refreshConfigKey = "061465d8a1f19d9d";

  /// 注册刷新组件配置
  void register<T extends OnRefreshConfig>(T? config) {
    if (config == null) {
      return;
    }
    ConfigManager.instance.addConfig(_refreshConfigKey, config);
  }

  OnRefreshConfig? _getConfig() {
    var config = ConfigManager.instance.getConfig(_refreshConfigKey);
    if (config is OnRefreshConfig) {
      return config;
    }
    return null;
  }

  /// 获取刷新组件配置对象
  OnRefreshConfig? get refreshConfig => _getConfig();
}
