import 'package:flutter/material.dart';

abstract class WebViewCallbackHandles {
  /// [methodNameOrScript] 脚本方法名或脚本对象
  /// [params] 若第一个参数为方法名时，该参数接收脚本方法参数
  /// [isInjectionMethod] 是否注入方法,isInjectionMethod==false时参数params不生效
  void evalJavascript(String methodNameOrScript, List<Object> params, {bool isInjectionMethod});

  void reload();

  Future<bool> onBack();

  Future<bool> canBack();

  Future<String> currentUrl();

  void loadUrl(String url, {Map<String, String> headers});

  void finish(BuildContext context, String pageName);

  /// 清空web缓存
  void clearCache();

  /// 更新标题
  void updateTitle(String title);
}
